> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update product variants copy



## OpenAPI

````yaml patch /{shopId}/products/63f76655c31eea543580fddc
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/products/63f76655c31eea543580fddc:
    patch:
      tags:
        - Products
      summary: Update product variants Copy
      description: Update product variants Copy
      operationId: updateProductVariantsCopy
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                attributes:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: object
                        properties:
                          _id:
                            type: string
                            example: 63e10d4ed4df923a8dda34d0
                          name:
                            type: string
                            example: COLOR
                      options:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: 63e10d4ed4df923a8dda34ce
                            label:
                              type: string
                              example: COLOR
                            name:
                              type: string
                              example: GOLD
                        example:
                          - id: 63e10d4ed4df923a8dda34ce
                            label: COLOR
                            name: GOLD
                  example:
                    - name:
                        _id: 63e10d4ed4df923a8dda34d0
                        name: COLOR
                      options:
                        - id: 63e10d4ed4df923a8dda34ce
                          label: COLOR
                          name: GOLD
                variants:
                  type: array
                  items:
                    type: object
                    properties:
                      _id:
                        type: string
                        example: 63f76655c31eea543580fdda
                      alwaysInStock:
                        type: boolean
                        example: true
                      costPrice:
                        nullable: true
                        example: null
                      digital_download:
                        type: object
                        properties:
                          maxDownloadsPerOrder:
                            type: number
                            example: 5
                          name:
                            type: string
                            example: sample.pdf
                          type:
                            type: string
                            example: application/pdf
                          url:
                            type: string
                            example: >-
                              https://ucarecdn.com/92aaca76-e073-4a62-8244-5ea8c3c521b8/
                          uuid:
                            type: string
                            example: 92aaca76-e073-4a62-8244-5ea8c3c521b8
                      isActive:
                        type: boolean
                        example: false
                      options:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: 63e10d4ed4df923a8dda34ce
                            label:
                              type: string
                              example: COLOR
                            name:
                              type: string
                              example: GOLD
                        example:
                          - id: 63e10d4ed4df923a8dda34ce
                            label: COLOR
                            name: GOLD
                      price:
                        type: number
                        example: 17800
                      sale_price:
                        type: number
                        example: 17300
                      sku:
                        type: string
                        example: digital-with-variant-2-gold-0fdd9
                      stock:
                        type: number
                        example: 1
                  example:
                    - _id: 63f76655c31eea543580fdda
                      alwaysInStock: true
                      costPrice: null
                      digital_download:
                        maxDownloadsPerOrder: 5
                        name: sample.pdf
                        type: application/pdf
                        url: >-
                          https://ucarecdn.com/92aaca76-e073-4a62-8244-5ea8c3c521b8/
                        uuid: 92aaca76-e073-4a62-8244-5ea8c3c521b8
                      isActive: false
                      options:
                        - id: 63e10d4ed4df923a8dda34ce
                          label: COLOR
                          name: GOLD
                      price: 17800
                      sale_price: 17300
                      sku: digital-with-variant-2-gold-0fdd9
                      stock: 1
            example:
              attributes:
                - name:
                    _id: 63e10d4ed4df923a8dda34d0
                    name: COLOR
                  options:
                    - id: 63e10d4ed4df923a8dda34ce
                      label: COLOR
                      name: GOLD
              variants:
                - _id: 63f76655c31eea543580fdda
                  alwaysInStock: true
                  costPrice: null
                  digital_download:
                    maxDownloadsPerOrder: 5
                    name: sample.pdf
                    type: application/pdf
                    url: https://ucarecdn.com/92aaca76-e073-4a62-8244-5ea8c3c521b8/
                    uuid: 92aaca76-e073-4a62-8244-5ea8c3c521b8
                  isActive: false
                  options:
                    - id: 63e10d4ed4df923a8dda34ce
                      label: COLOR
                      name: GOLD
                  price: 17800
                  sale_price: 17300
                  sku: digital-with-variant-2-gold-0fdd9
                  stock: 1
      responses:
        '200':
          description: ''

````